@echo off

       rem Modify next line to your need!

set PTStitcherPath= "D:\programs\panotools\helpers\PTStitcher.exe"
if not exist %PTStitcherPath% goto NoStitcher
set PTCA_bat=%1
if "%2" == "" goto parameters
%~d2
cd %~p2
shift
:next_one
echo %~x1 | find /i ".tif" 
if errorlevel 1 (echo %1 not processed! & goto jumped)
echo creating script...
echo # temporary script for CA correction > _PT_tmp_scr.txt 
echo m g2.2 i3 >> _PT_tmp_scr.txt 
echo i n"%~nx1" >> _PT_tmp_scr.txt 
echo i n"%~nx1" >> _PT_tmp_scr.txt 
call %PTCA_bat%
echo reading width and height from original image...
identify %1 -format "p w%%w h%%h f0 %PTCAFieldOfView% u0 n""TIFF_m""" >> _PT_tmp_scr.txt 
echo call PTStitcher...
%PTStitcherPath% -o _PTCA _PT_tmp_scr.txt
echo compose image of R, G and B channels...
composite -compose CopyRed _PTCA0000.tif %1 _PTCA_R.tif
del _PTCA0000.tif 
composite -compose CopyBlue _PTCA0001.tif _PTCA_R.tif PTCA_%~n1.tif

        rem use next line instead of previous if you want to overwrite original images

rem composite -compose CopyBlue _PTCA0002.tif _PTCA_RG.tif %1
del _PTCA0001.tif 
del _PTCA_R.tif 
:jumped
shift
if "%1"=="" goto ende
echo processing next image
goto next_one
:NoStitcher
echo please set complete path for PTStitcher in first 'set' line!
:parameters
echo usage: PTCA_corr [Parameter batchfile] [TIFF image] [TIFF image]...
echo Image type must be TIFF!
pause
:ende
rem pause